import javax.naming.*;
import javax.jms.*;

public class TopicServer
{
    private String JMSTopic = "jms/Topic";
    private ChatDisplay display;

    public TopicServer(ChatDisplay display, String JMSTopic) throws NamingException, JMSException {
        this.display = display;        
        if (JMSTopic != null)
            this.JMSTopic = JMSTopic;
        // attach to topic
    }

    public void send (String from, String message) throws JMSException {
        display.addMessage (from, message);
    }

    public void shutdown () {
    }
}

